Bug 283333 - Make it possible to drag windows around the screens in Present Windows like in Desktop Grid
Summary: Make it possible to drag windows around the screens in Present Windows like i...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-present-windows (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 2 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on: 295775
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 18:25 UTC by Kai Uwe Broulik
Modified: 2022-06-07 22:36 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2011-10-04 18:25:58 UTC
Version:           unspecified (using KDE 4.7.1) 
OS:                Linux

In Desktop Grid you can drag around the windows to associate them with another virtual desktop. A similar function should be available for Present Windows when using multi screen allowing you to drag windows from one screen to another one.

Reproducible: Always

Steps to Reproduce:
Trigger Present Windows on a computer with more than one screen.
Try to drag a window around to move it to another screen.

Actual Results:  
Does not work

Expected Results:  
The window gets associated with the respective screen and keeps its position relative to the new screen.
Comment 1 Marco Martin 2022-05-06 11:38:55 UTC
Git commit ae1937badc097a864ecfc62e79e7a3899c3be572 by Marco Martin.
Committed on 06/05/2022 at 11:37.
Pushed by mart into branch 'master'.

Remove completely present windows

since it has been replaced by windowview, and Desktop Grid
is ported as well, remove present windows which is effectively dead code
now
Related: bug 447001, bug 362844, bug 450487, bug 453426, bug 374481, bug 185381, bug 413342, bug 451150, bug 315314, bug 397500, bug 321236, bug 436572, bug 335782

M  +0    -1    src/effects/CMakeLists.txt
D  +0    -45   src/effects/presentwindows/CMakeLists.txt
D  +0    -17   src/effects/presentwindows/main.cpp
D  +0    -18   src/effects/presentwindows/main.qml
D  +0    -75   src/effects/presentwindows/metadata.json
D  +0    -2054 src/effects/presentwindows/presentwindows.cpp
D  +0    -343  src/effects/presentwindows/presentwindows.h
D  +0    -51   src/effects/presentwindows/presentwindows.kcfg
D  +0    -104  src/effects/presentwindows/presentwindows_config.cpp
D  +0    -46   src/effects/presentwindows/presentwindows_config.h
D  +0    -487  src/effects/presentwindows/presentwindows_config.ui
D  +0    -36   src/effects/presentwindows/presentwindows_proxy.cpp
D  +0    -35   src/effects/presentwindows/presentwindows_proxy.h
D  +0    -6    src/effects/presentwindows/presentwindowsconfig.kcfgc

https://invent.kde.org/plasma/kwin/commit/ae1937badc097a864ecfc62e79e7a3899c3be572
Comment 2 Nate Graham 2022-05-06 13:30:59 UTC
Removing the old code doesn't make wishlist requests invalid for the new version (which has the same name, so they are the same thing from the user's perspective); re-opening.
Comment 3 Nate Graham 2022-05-23 15:21:31 UTC
In progress with https://invent.kde.org/plasma/kwin/-/merge_requests/2388
Comment 4 Marco Martin 2022-06-06 13:49:13 UTC
Git commit 3d0beae8285fb82ea6b51ba10f2e47dc515727e2 by Marco Martin.
Committed on 06/06/2022 at 13:48.
Pushed by mart into branch 'master'.

Drag windows between screens in WindowHeap

Allow dragging windows between screens, using a placeholder thumbnail item to
render part of the thumbnail on the other screen.
Related: bug 453996, bug 448566

M  +13   -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +60   -3    src/effects/private/qml/WindowHeap.qml
M  +0    -1    src/effects/windowview/qml/main.qml
M  +10   -0    src/libkwineffects/kwineffects.cpp
M  +3    -0    src/libkwineffects/kwineffects.h
M  +49   -0    src/libkwineffects/kwinquickeffect.cpp
M  +7    -0    src/libkwineffects/kwinquickeffect.h
M  +5    -0    src/scripting/workspace_wrapper.cpp
M  +2    -0    src/scripting/workspace_wrapper.h

https://invent.kde.org/plasma/kwin/commit/3d0beae8285fb82ea6b51ba10f2e47dc515727e2
Comment 5 Marco Martin 2022-06-06 14:17:55 UTC
Git commit 6c14ae78e8f5f4f4bbfa17f012164a5b4d3dc0cd by Marco Martin.
Committed on 06/06/2022 at 14:17.
Pushed by mart into branch 'Plasma/5.25'.

Drag windows between screens in WindowHeap

Allow dragging windows between screens, using a placeholder thumbnail item to
render part of the thumbnail on the other screen.
Related: bug 453996, bug 448566

M  +13   -0    src/effects/desktopgrid/qml/DesktopView.qml
M  +60   -3    src/effects/private/qml/WindowHeap.qml
M  +0    -1    src/effects/windowview/qml/main.qml
M  +10   -0    src/libkwineffects/kwineffects.cpp
M  +3    -0    src/libkwineffects/kwineffects.h
M  +49   -0    src/libkwineffects/kwinquickeffect.cpp
M  +7    -0    src/libkwineffects/kwinquickeffect.h
M  +5    -0    src/scripting/workspace_wrapper.cpp
M  +2    -0    src/scripting/workspace_wrapper.h

https://invent.kde.org/plasma/kwin/commit/6c14ae78e8f5f4f4bbfa17f012164a5b4d3dc0cd